GCLOUD_COMPUTE_INSTANCES_DETACH-DISK(1)

NAME

gcloud compute instances detach-disk - detach disks from Compute Engine virtual machine instances

SYNOPSIS

gcloud compute instances detach-disk NAME [--device-name DEVICE_NAME | --disk DISK] [--zone ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute instances detach-disk is used to detach disks from virtual machines. Detaching a disk without first unmounting it may result in incomplete I/O operations and data corruption. To unmount a persistent disk on a Linux-based image, ssh into the instance and run:
    $ sudo umount /dev/disk/by-id/google-DEVICE_NAME

POSITIONAL ARGUMENTS
NAME
    The name of the instance to detach the disk from.

FLAGS
--device-name DEVICE_NAME
    Specifies a disk to detach by its device name, which is the name that the guest operating system sees. The device name is set at the time that the disk is attached to the instance, and needs not be the same as the persistent disk name. If the disk's device name is specified, then its persistent disk name must not be specified using the --disk flag.
--disk DISK
    Specifies a disk to detach by its resource name. If you specify a disk to remove by persistent disk name, then you must not specify its device name using the --device-name flag.
--zone ZONE
    The zone of the instance to detach a disk from. If not specified, you will be prompted to select a zone. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.